net.i2p.router.peermanager

## Class PeerTestJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.peermanager.PeerTestJob

- All Implemented Interfaces:
    Job

      public class PeerTestJob
      extends JobImpl

  Grab some peers that we want to test and probe them briefly to get some more accurate and up to date performance data. This delegates the peer selection to the peer manager and tests the peer by sending it a useless database store message

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeerTestJob(RouterContext context)` Creates a new instance of PeerTestJob

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Descriptive name of the task
    `void` | `runJob()` Actually perform the task.
    `void` | `startTesting(PeerManager manager)`
    `void` | `stopTesting()`

    - ### Methods inherited from class net.i2p.router.JobImpl

      `dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PeerTestJob

          public PeerTestJob(RouterContext context)

      Creates a new instance of PeerTestJob

  - ### Method Detail

    - #### startTesting

          public void startTesting(PeerManager manager)

    - #### stopTesting

          public void stopTesting()

    - #### getName

          public String getName()

      Description copied from interface: `Job`
      Descriptive name of the task

    - #### runJob

          public void runJob()

      Description copied from interface: `Job`
      Actually perform the task. This call blocks until the Job is complete.